// DAOTHREADView.h : interface of the CDAOTHREADView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DAOTHREADVIEW_H__A67D95D0_9E31_11D2_AAB9_00609736E3F6__INCLUDED_)
#define AFX_DAOTHREADVIEW_H__A67D95D0_9E31_11D2_AAB9_00609736E3F6__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDAOTHREADSet;

class CDAOTHREADView : public CView
{
protected: // create from serialization only
	CDAOTHREADView();
	DECLARE_DYNCREATE(CDAOTHREADView)

public:
	//{{AFX_DATA(CDAOTHREADView)
	enum { IDD = IDD_DAOTHREAD_FORM };
	CDAOTHREADSet* m_pSet;
	CString	m_pDAOEdit;
	//}}AFX_DATA

// Attributes
public:
	CDAOTHREADDoc* GetDocument();

	BOOL m_bContinueThread;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDAOTHREADView)
	public:
	virtual CDaoRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDAOTHREADView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDAOTHREADView)
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	//jtm
	//a thread to kick off the query eh?
	CWinThread *m_pDAOThread;
};

#ifndef _DEBUG  // debug version in DAOTHREADView.cpp
inline CDAOTHREADDoc* CDAOTHREADView::GetDocument()
   { return (CDAOTHREADDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAOTHREADVIEW_H__A67D95D0_9E31_11D2_AAB9_00609736E3F6__INCLUDED_)
