// DAOTHREADSet.cpp : implementation of the CDAOTHREADSet class
//

#include "stdafx.h"
#include "DAOTHREAD.h"

#include "multidaorecordset.h"
#include "DAOTHREADSet.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDAOTHREADSet implementation

IMPLEMENT_DYNAMIC(CDAOTHREADSet, CMultiDaoRecordSet)

CDAOTHREADSet::CDAOTHREADSet(CDaoDatabase* pdb)
	: CMultiDaoRecordSet(pdb)
{
	//{{AFX_FIELD_INIT(CDAOTHREADSet)
	m_ActorID = 0;
	m_FirstName = _T("");
	m_LastName = _T("");
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}

CString CDAOTHREADSet::GetDefaultDBName()
{
	return _T("TEST.mdb");
}


CString CDAOTHREADSet::GetDefaultSQL()
{
	return _T("[Actors]");
}

void CDAOTHREADSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CDAOTHREADSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[ActorID]"), m_ActorID);
	DFX_Text(pFX, _T("[FirstName]"), m_FirstName);
	DFX_Text(pFX, _T("[LastName]"), m_LastName);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CDAOTHREADSet diagnostics

#ifdef _DEBUG
void CDAOTHREADSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CDAOTHREADSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
