// OtherSet.cpp : implementation file
//

#include "stdafx.h"
#include "multidaorecordset.h"
#include "DAOTHREAD.h"
#include "OtherSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COtherSet

IMPLEMENT_DYNAMIC(COtherSet, CMultiDaoRecordSet)

COtherSet::COtherSet(CDaoDatabase* pdb)
	: CMultiDaoRecordSet(pdb)
{
	//{{AFX_FIELD_INIT(COtherSet)
	m_Argument = _T("");
	m_Command = 0;
	m_ItemNumber = 0;
	m_ItemText = _T("");
	m_SwitchboardID = 0;
	m_nFields = 5;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString COtherSet::GetDefaultDBName()
{
	return _T("TEST.mdb");
}

CString COtherSet::GetDefaultSQL()
{
	return _T("[Switchboard Items]");
}

void COtherSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(COtherSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("[Argument]"), m_Argument);
	DFX_Short(pFX, _T("[Command]"), m_Command);
	DFX_Short(pFX, _T("[ItemNumber]"), m_ItemNumber);
	DFX_Text(pFX, _T("[ItemText]"), m_ItemText);
	DFX_Long(pFX, _T("[SwitchboardID]"), m_SwitchboardID);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// COtherSet diagnostics

#ifdef _DEBUG
void COtherSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void COtherSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
